Debian Bug report logs - #666023
dkms: /usr/lib/dkms/common.postinst fails if /lib/modules does not exist

version graph

Package: dkms; Maintainer for dkms is Dynamic Kernel Module System Team <dkms@packages.debian.org>; Source for dkms is src:dkms (PTS, buildd, popcon).

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Tue, 27 Mar 2012 21:36:02 UTC

Severity: serious

Tags: patch

Found in version dkms/2.2.0.3-1

Fixed in version dkms/2.2.0.3-1.1

Done: Andreas Beckmann <debian@abeckmann.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#666023; Package dkms. (Tue, 27 Mar 2012 21:36:04 GMT) (full text, mbox, link).


Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Tue, 27 Mar 2012 21:36:04 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.debian.org (full text, mbox, reply):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dkms: /usr/lib/dkms/common.postinst fails if /lib/modules does not exist
Date: Tue, 27 Mar 2012 23:32:41 +0200
Package: dkms
Version: 2.2.0.3-1
Severity: important

I noticed a dkms failure during a piuparts test add added set -x to the
(generated by dh_dkms) postinst script to get the following log:

# dpkg --configure --pending
Setting up nvidia-kernel-dkms (295.20-1) ...
+ DKMS_NAME=nvidia
+ DKMS_PACKAGE_NAME=nvidia-dkms
+ DKMS_VERSION=295.20
+ postinst_found=0
+ [ -f /usr/lib/dkms/common.postinst ]
+ /usr/lib/dkms/common.postinst nvidia 295.20 /usr/share/nvidia-dkms
ls: cannot access /lib/modules/: No such file or directory
dpkg: error processing nvidia-kernel-dkms (--configure):
 subprocess installed post-installation script returned error exit status 2

Also the -f test should probably be a -x test.


Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#666023; Package dkms. (Wed, 13 Jun 2012 17:45:08 GMT) (full text, mbox, link).


Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Wed, 13 Jun 2012 17:45:08 GMT) (full text, mbox, link).


Message #10 received at 666023@bugs.debian.org (full text, mbox, reply):

From: Andreas Beckmann <debian@abeckmann.de>
To: 666023@bugs.debian.org
Cc: Andreas Beckmann <debian@abeckmann.de>
Subject: [PATCH] do not fail if /lib/modules does not exist
Date: Wed, 13 Jun 2012 19:41:14 +0200
---
 dkms_common.postinst |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dkms_common.postinst b/dkms_common.postinst
index d8cf3a7..0c8cfc1 100644
--- a/dkms_common.postinst
+++ b/dkms_common.postinst
@@ -146,7 +146,7 @@ if [ -z "$NAME" ] || [ -z "$VERSION" ]; then
     exit 1
 fi
 
-KERNELS=$(ls /lib/modules/)
+KERNELS=$(ls /lib/modules/ 2>/dev/null || true)
 CURRENT_KERNEL=$(uname -r)
 
 #We never want to keep an older version side by side to prevent conflicts
-- 
1.7.10





Added tag(s) patch. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 13 Jun 2012 17:45:10 GMT) (full text, mbox, link).


Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#666023; Package dkms. (Mon, 18 Jun 2012 16:39:03 GMT) (full text, mbox, link).


Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Mon, 18 Jun 2012 16:39:03 GMT) (full text, mbox, link).


Message #17 received at 666023@bugs.debian.org (full text, mbox, reply):

From: Andreas Beckmann <debian@abeckmann.de>
To: 666023@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: dkms: /usr/lib/dkms/common.postinst fails if /lib/modules does not exist
Date: Mon, 18 Jun 2012 18:37:34 +0200
severity 666023 serious
thanks

Raising the severity because it makes other packages to fail installation:
http://piuparts.debian.org/sid/post_installation_script_error.html
All the *-dkms packages in this list are affected by this bug.

Andreas




Severity set to 'serious' from 'important' Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 18 Jun 2012 16:39:05 GMT) (full text, mbox, link).


Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#666023; Package dkms. (Sat, 21 Jul 2012 14:39:07 GMT) (full text, mbox, link).


Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Sat, 21 Jul 2012 14:39:07 GMT) (full text, mbox, link).


Message #24 received at 666023@bugs.debian.org (full text, mbox, reply):

From: Andreas Beckmann <debian@abeckmann.de>
To: 666023@bugs.debian.org, 657145@bugs.debian.org
Cc: Holger Levsen <holger@layer-acht.org>
Subject: prepared NMU for dkms (2.2.0.3-1.1)
Date: Sat, 21 Jul 2012 16:29:46 +0200
Hi,

I've prepared a NMU for dkms fixing two issues and Hloger Levsen has
agreed to review and sponsor this and upload to a DELEAYED queue.

dkms (2.2.0.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Do not fail if /lib/modules does not exist.  (Closes: #666023)
  * Remove the directory where the module was installed.  (Closes: #657145)

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 19 Jul 2012 22:20:45 +0200


git://github.com/anbe42/dkms.git
(3 commits ahead of git://git.debian.org/pkg-dkms/dkms.git)

http://mentors.debian.net/package/dkms
http://mentors.debian.net/debian/pool/main/d/dkms/dkms_2.2.0.3-1.1.dsc


Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#666023; Package dkms. (Sat, 21 Jul 2012 16:30:05 GMT) (full text, mbox, link).


Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Sat, 21 Jul 2012 16:30:05 GMT) (full text, mbox, link).


Message #29 received at 666023@bugs.debian.org (full text, mbox, reply):

From: Holger Levsen <holger@layer-acht.org>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 666023@bugs.debian.org, 657145@bugs.debian.org
Subject: Re: prepared NMU for dkms (2.2.0.3-1.1)
Date: Sat, 21 Jul 2012 10:20:21 -0600
Hi Andreas,

On Samstag, 21. Juli 2012, Andreas Beckmann wrote:
> dkms (2.2.0.3-1.1) unstable; urgency=low
> 
>   * Non-maintainer upload.
>   * Do not fail if /lib/modules does not exist.  (Closes: #666023)
>   * Remove the directory where the module was installed.  (Closes: #657145)

uploaded to delayed-2.
 

thanks for your work,
cheers,
	Holger



Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#666023; Package dkms. (Sat, 21 Jul 2012 17:30:10 GMT) (full text, mbox, link).


Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Sat, 21 Jul 2012 17:30:10 GMT) (full text, mbox, link).


Message #34 received at 666023@bugs.debian.org (full text, mbox, reply):

From: Julien Cristau <jcristau@debian.org>
To: Andreas Beckmann <debian@abeckmann.de>, 666023@bugs.debian.org
Cc: 657145@bugs.debian.org, Holger Levsen <holger@layer-acht.org>
Subject: Re: Bug#666023: prepared NMU for dkms (2.2.0.3-1.1)
Date: Sat, 21 Jul 2012 19:28:16 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jul 21, 2012 at 16:29:46 +0200, Andreas Beckmann wrote:

> Hi,
> 
> I've prepared a NMU for dkms fixing two issues and Hloger Levsen has
> agreed to review and sponsor this and upload to a DELEAYED queue.
> 
You need to send the diff to the log, not just your changelog entry.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#666023; Package dkms. (Sat, 21 Jul 2012 17:45:05 GMT) (full text, mbox, link).


Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Sat, 21 Jul 2012 17:45:05 GMT) (full text, mbox, link).


Message #39 received at 666023@bugs.debian.org (full text, mbox, reply):

From: Julien Cristau <jcristau@debian.org>
To: Andreas Beckmann <debian@abeckmann.de>, 666023@bugs.debian.org
Cc: 657145@bugs.debian.org, Holger Levsen <holger@layer-acht.org>
Subject: Re: Bug#666023: prepared NMU for dkms (2.2.0.3-1.1)
Date: Sat, 21 Jul 2012 19:43:10 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jul 21, 2012 at 19:28:16 +0200, Julien Cristau wrote:

> On Sat, Jul 21, 2012 at 16:29:46 +0200, Andreas Beckmann wrote:
> 
> > Hi,
> > 
> > I've prepared a NMU for dkms fixing two issues and Hloger Levsen has
> > agreed to review and sponsor this and upload to a DELEAYED queue.
> > 
> You need to send the diff to the log, not just your changelog entry.
                                  ^ bug
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#666023; Package dkms. (Sat, 21 Jul 2012 20:48:06 GMT) (full text, mbox, link).


Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Sat, 21 Jul 2012 20:48:06 GMT) (full text, mbox, link).


Message #44 received at 666023@bugs.debian.org (full text, mbox, reply):

From: Andreas Beckmann <debian@abeckmann.de>
To: Julien Cristau <jcristau@debian.org>
Cc: 666023@bugs.debian.org, 657145@bugs.debian.org, Holger Levsen <holger@layer-acht.org>
Subject: debdiff for dkms NMU 2.2.0.3-1.1
Date: Sat, 21 Jul 2012 22:44:33 +0200
[Message part 1 (text/plain, inline)]
On 2012-07-21 19:43, Julien Cristau wrote:
>> You need to send the diff to the log, not just your changelog entry.
>                                   ^ bug

ACK. debdiff attached.

Andreas
[dkms_2.2.0.3-1.1.debdiff (text/plain, attachment)]

Reply sent to Andreas Beckmann <debian@abeckmann.de>:
You have taken responsibility. (Mon, 23 Jul 2012 16:36:16 GMT) (full text, mbox, link).


Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Mon, 23 Jul 2012 16:36:16 GMT) (full text, mbox, link).


Message #49 received at 666023-close@bugs.debian.org (full text, mbox, reply):

From: Andreas Beckmann <debian@abeckmann.de>
To: 666023-close@bugs.debian.org
Subject: Bug#666023: fixed in dkms 2.2.0.3-1.1
Date: Mon, 23 Jul 2012 16:32:14 +0000
Source: dkms
Source-Version: 2.2.0.3-1.1

We believe that the bug you reported is fixed in the latest version of
dkms, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 666023@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Beckmann <debian@abeckmann.de> (supplier of updated dkms package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 19 Jul 2012 22:20:45 +0200
Source: dkms
Binary: dkms
Architecture: source all
Version: 2.2.0.3-1.1
Distribution: unstable
Urgency: low
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Changed-By: Andreas Beckmann <debian@abeckmann.de>
Description: 
 dkms       - Dynamic Kernel Module Support Framework
Closes: 657145 666023
Changes: 
 dkms (2.2.0.3-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Do not fail if /lib/modules does not exist.  (Closes: #666023)
   * Remove the directory where the module was installed.  (Closes: #657145)
Checksums-Sha1: 
 de8c4abe068c3f73d4831ce2a5d5f52239c66f71 1969 dkms_2.2.0.3-1.1.dsc
 0311fc4a0ab217f26bf31ea713da18549d8badb5 14927 dkms_2.2.0.3-1.1.debian.tar.gz
 5172c616442d968ff8b9001581c27e79130e6c94 77194 dkms_2.2.0.3-1.1_all.deb
Checksums-Sha256: 
 5ae37adbe59404b46f6c9b1a64a58492ff227bb377120a0041afb11c2fd27fe2 1969 dkms_2.2.0.3-1.1.dsc
 9edbedde82051dc366096e2bb91ac0af3b72378b9653894f7da0ee3d0b761ba6 14927 dkms_2.2.0.3-1.1.debian.tar.gz
 993b9db5bba71971ba77c64ffa3f2cde281d7b397cebde24af115384a69d8c71 77194 dkms_2.2.0.3-1.1_all.deb
Files: 
 218570f94e0e767208085eba824c0a68 1969 kernel optional dkms_2.2.0.3-1.1.dsc
 5165ec213ff5018ff55a7c90801bfcba 14927 kernel optional dkms_2.2.0.3-1.1.debian.tar.gz
 734ae2e7572288009c252e18be6b771f 77194 kernel optional dkms_2.2.0.3-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIUAwUBUArWOAkauFYGmqocAQiBGQ/2PjhZj5ShgcFz9VCim8+o4uRJWvUJbr2T
TFnwp7aHCCT0Wg9ojEgQPN9wl6DGIHRSnreuGXzVaWoilXbnDrmbmMeAXccoYqUJ
l/HA9eRYW0+K71yWPEgGnV2omU/IGBiknl9WWfOrD6emf6SY7dayHSDvY2FbuQip
UvHIBqDqceT+/p6je8VNjYCG5yFOyWVxlEkvW8DfKpXYXSpPtQvJYrVb4VKzpoH8
sKVvSZ2oaWr/2NyukJQa7VnlkNLAUhqe3iP7v+Yv1IxYNgoqiEc30Bg1Bx19hBjy
Yxc+f3iOdUKDzq6oS+NEXc4xWlsNwu8lMbB+a31n4+WXHH8/uJnc4cY54GT2+C2k
yVrfynDfhMTMobWvu828aJM7j1AiwKlPmtENwJS60NermQmrEALW/PlxZRXXQVVq
3lbS1SxCwERHyI70bQIIT4xF7ligVXIuMXi8G9q3CAV6Kk8n7UCycxd963GsXuWs
qwffMEUauX9sgjzm/tWgcUEWVS5iir6ovbiiCMp7Jo/lV7nMK8a7/8Ms+viMCQQc
1yYT1QxqJtRhuD2ArMbzq9xsoTBpc/lUSrybO8thg8v2xJ1qVRBbI1PwgHeafHoT
7Er8o8tnL45HaqTbTUTf/hVtPEVSsBCijB9IVtUGhUKv++1jHLQNQrAlWjciQR3r
VmQhJS4QAg==
=r7tK
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Sep 2012 07:26:58 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Jul 2 06:17:23 2023; Machine Name: buxtehude

Debian Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.